use 教学成绩管理数据库     --一段一段选中执行
--1. 指定在查询结果中可以返回重复行
select all 年龄=datediff(year,出生日期,getdate()), 性别
from 学生信息表

--2. 指定在查询结果中可以返回重复行  与1基本等价
Select 性别, 年龄=datediff(year, 出生日期, getdate())
from 学生信息表

--3. 指定在查询结果中过滤掉重复行，结果排序
select distinct 性别, 年龄=datediff(year,出生日期,getdate()) 
from 学生信息表

--4. 指定在查询结果中过滤掉重复行，结果排序
select distinct 年龄=datediff(year,出生日期,getdate()), 性别
from 学生信息表

--5. 前5条记录
select top 5 姓名, 出生日期 from 学生信息表 order by 出生日期

--6. 前10%条记录
select top 10 percent 姓名, 性别, 年龄=datediff(year,出生日期,getdate()) 
from 学生信息表 order by 年龄

--(1) 下列select语句返回的结果是：
--     select distinct 性别 from 学生信息表
--(2) 下列select语句书写正确吗？为什么？
--    select all distinct 性别 from 学生信息表
